<?php
/**
 * Created by PhpStorm.
 * User: zilongs
 * Date: 20-9-23
 * Time: 上午11:04
 */

namespace App\Models;

class User extends BaseModel
{
    public static function getUserByToken()
    {
        $auth = request()->header('token');
        if (empty($auth)) {
            exit_out(null, 401, '认证失效，请重新登录');
        }

        $arr = aes_decrypt($auth);
        if (empty($arr['id'])) {
            exit_out(null, 401, '认证失效，请重新登录');
        }

        $user = User::where('id', $arr['id'])->first();
        if (empty($user)){
            exit_out(null, 601, '该账号已被删除');
        }
        $user = $user->toArray();

        if ($user['status'] == 0){
            exit_out(null, 602, '该账号已被冻结');
        }

        return $user;
    }
}
